Skip to main content
`Ctrl`+`K`

# MatHIPSPARSEStorageFormat

indicates the storage format for `MATAIJHIPSPARSE` (GPU) matrices.

## Synopsis

    typedef enum {
      MAT_HIPSPARSE_CSR,
      MAT_HIPSPARSE_ELL,
      MAT_HIPSPARSE_HYB
    } MatHIPSPARSEStorageFormat;

## Values

- `MAT_HIPSPARSE_CSR` - Compressed Sparse Row

- `MAT_HIPSPARSE_ELL` - Ellpack

- `MAT_HIPSPARSE_HYB` - Hybrid, a combination of Ellpack and Coordinate format

## See Also

Matrices, `MatHIPSPARSESetFormat()`, `MatHIPSPARSEFormatOperation`

## Level

intermediate

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages